# -*- encoding: utf-8 -*-
# stub: amq-protocol 2.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "amq-protocol".freeze
  s.version = "2.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jakub Stastny".freeze, "Michael S. Klishin".freeze, "Theo Hultberg".freeze, "Mark Abramov".freeze]
  s.date = "2022-04-25"
  s.description = "  amq-protocol is an AMQP 0.9.1 serialization library for Ruby. It is not a\n  client: the library only handles serialization and deserialization.\n".freeze
  s.email = ["michael.s.klishin@gmail.com".freeze]
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["ChangeLog.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "amq-protocol.gemspec".freeze, "benchmarks/int_allocator.rb".freeze, "benchmarks/pure/body_framing_with_256k_payload.rb".freeze, "benchmarks/pure/body_framing_with_2k_payload.rb".freeze, "codegen/__init__.py".freeze, "codegen/amqp_0.9.1_changes.json".freeze, "codegen/codegen.py".freeze, "codegen/codegen_helpers.py".freeze, "codegen/protocol.rb.pytemplate".freeze, "generate.rb".freeze, "lib/amq/bit_set.rb".freeze, "lib/amq/endianness.rb".freeze, "lib/amq/int_allocator.rb".freeze, "lib/amq/pack.rb".freeze, "lib/amq/protocol.rb".freeze, "lib/amq/protocol/client.rb".freeze, "lib/amq/protocol/constants.rb".freeze, "lib/amq/protocol/exceptions.rb".freeze, "lib/amq/protocol/float_32bit.rb".freeze, "lib/amq/protocol/frame.rb".freeze, "lib/amq/protocol/table.rb".freeze, "lib/amq/protocol/table_value_decoder.rb".freeze, "lib/amq/protocol/table_value_encoder.rb".freeze, "lib/amq/protocol/type_constants.rb".freeze, "lib/amq/protocol/version.rb".freeze, "lib/amq/settings.rb".freeze, "lib/amq/uri.rb".freeze, "profiling/README.md".freeze, "profiling/stackprof/body_framing_with_2k_payload.rb".freeze, "spec/amq/bit_set_spec.rb".freeze, "spec/amq/int_allocator_spec.rb".freeze, "spec/amq/pack_spec.rb".freeze, "spec/amq/protocol/basic_spec.rb".freeze, "spec/amq/protocol/blank_body_encoding_spec.rb".freeze, "spec/amq/protocol/channel_spec.rb".freeze, "spec/amq/protocol/confirm_spec.rb".freeze, "spec/amq/protocol/connection_spec.rb".freeze, "spec/amq/protocol/constants_spec.rb".freeze, "spec/amq/protocol/exchange_spec.rb".freeze, "spec/amq/protocol/frame_spec.rb".freeze, "spec/amq/protocol/method_spec.rb".freeze, "spec/amq/protocol/queue_spec.rb".freeze, "spec/amq/protocol/table_spec.rb".freeze, "spec/amq/protocol/tx_spec.rb".freeze, "spec/amq/protocol/value_decoder_spec.rb".freeze, "spec/amq/protocol/value_encoder_spec.rb".freeze, "spec/amq/protocol_spec.rb".freeze, "spec/amq/settings_spec.rb".freeze, "spec/amq/uri_parsing_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://github.com/ruby-amqp/amq-protocol".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "AMQP 0.9.1 encoding & decoding library.".freeze
end
